using System;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_AddEditBlogEntry : System.Web.UI.Page
{
    public int EditBlogEntryID
    {
        get
        {
            return ViewState["EditBlogEntryID"] == null ? 0 : (int)ViewState["EditBlogEntryID"];
        }
        set
        {
            ViewState["EditBlogEntryID"] = value;
        }
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        if (this.IsPostBack == false)
        {
            int blogEntryID = 0;
            int.TryParse(Request["BlogEntryID"].ToString(),out blogEntryID);
            this.EditBlogEntryID = blogEntryID;
            BindDetailsEdit();
        }
    }
    private void BindDetailsEdit()
    {
        IDataReader dr;
        DataSet ds;
        ds = this.SelectBlogEntryDS(this.EditBlogEntryID);
        dr = (IDataReader)ds.CreateDataReader();
        //		dr = this.SelectBlogEntryDR(this.EditBlogEntryID);
        try
        {
            if ((ds.Tables.Count > 0) && ((ds.Tables[0].Rows.Count)>0 ))
            {
                this.edSubject.Text = ds.Tables[0].Rows[0]["Subject"].ToString();
            }
            if (dr.Read())
            {
                this.edSubject.Text = dr["Subject"].ToString();
                this.edMessage.Text = dr["Message"].ToString();
                this.ddlWeatherCondition.SelectedIndex =
                    this.ddlWeatherCondition.Items.IndexOf(
                        this.ddlWeatherCondition.Items.FindByValue(
                            dr["WeatherConditionID"].ToString()));
                this.ddlWindDirection.SelectedIndex =
                    this.ddlWindDirection.Items.IndexOf(
                        this.ddlWindDirection.Items.FindByValue(
                            dr["WindDirectionID"].ToString()));
                this.ddlWindStrength.SelectedIndex =
                    this.ddlWindStrength.Items.IndexOf(
                        this.ddlWindStrength.Items.FindByValue(
                            dr["WindStrengthID"].ToString()));
            }
            else
            {
                this.edSubject.Text = string.Empty;
                this.edMessage.Text = string.Empty;
                this.ddlWeatherCondition.SelectedIndex = 0;
                this.ddlWindDirection.SelectedIndex = 0;
                this.ddlWindStrength.SelectedIndex = 0;
            }
        }
        finally
        {
            dr.Close();
        }

    }
    private DataSet SelectBlogEntryDS(int BlogEntryID)
    {
        string spName = "spSelectBlogEntry";
        SqlConnection cn = new SqlConnection(
            ConfigurationManager.ConnectionStrings[
            "BikeBlogConnectionString"].ConnectionString);
        SqlCommand cmd = new SqlCommand(spName, cn);
        cmd.CommandType = CommandType.StoredProcedure;

        cmd.Parameters.AddWithValue("@BlogEntryID", BlogEntryID);

        SqlDataAdapter da = new SqlDataAdapter(cmd);
        DataSet ds = new DataSet();
        da.Fill(ds);
        return ds;
    }

    private SqlDataReader SelectBlogEntryDR(int BlogEntryID)
    {
        string spName = "spSelectBlogEntry";
        SqlDataReader dr = null;
        SqlConnection cn = new SqlConnection(
            ConfigurationManager.ConnectionStrings[
            "BikeBlogConnectionString"].ConnectionString);
        cn.Open();
        try
        {
            SqlCommand cmd = new SqlCommand(spName, cn);
            cmd.CommandType = CommandType.StoredProcedure;

            cmd.Parameters.AddWithValue("@BlogEntryID", BlogEntryID);
            dr = cmd.ExecuteReader(CommandBehavior.CloseConnection);
        }
        catch
        {
            // Close the connection in case of error...
            cn.Close();
        }
        return dr;
    }

    private bool SaveBlogEntry(string Subject, string Message,
        int WeatherConditionID, int WindDirectionID, int WindStrengthID,
        int BlogEntryID,string EnteredBy)
    {
        bool ret = false;

        string spName = "spSaveBlogEntry";
        SqlConnection cn = new SqlConnection(
            ConfigurationManager.ConnectionStrings[
            "BikeBlogConnectionString"].ConnectionString);
        cn.Open();
        try
        {
            SqlCommand cmd = new SqlCommand(spName, cn);
            cmd.CommandType = CommandType.StoredProcedure;

            cmd.Parameters.AddWithValue("@BlogEntryID", BlogEntryID);
            cmd.Parameters.AddWithValue("@Subject", Subject);
            cmd.Parameters.AddWithValue("@Message", Message);
            cmd.Parameters.AddWithValue("@WeatherConditionID", WeatherConditionID);
            cmd.Parameters.AddWithValue("@WindDirectionID", WindDirectionID);
            cmd.Parameters.AddWithValue("@WindStrengthID", WindStrengthID);

            cmd.ExecuteNonQuery();
            ret = true;
        }
        finally
        {
            // Close the connection in case of error...
            cn.Close();
        }

        return ret;
    }
    protected void cmdSave_Click(object sender, EventArgs e)
    {
        this.SaveBlogEntry(this.edSubject.Text, this.edMessage.Text,
            int.Parse(this.ddlWeatherCondition.SelectedValue),
            int.Parse(this.ddlWindDirection.SelectedValue),
            int.Parse(this.ddlWindStrength.SelectedValue),
            this.EditBlogEntryID,User.Identity.Name);
    }
    protected void cmdCancel_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/Default.aspx");
    }
}
