﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Validators.aspx.cs" Inherits="Validators" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Validators</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:Label ID="Label1" runat="server" Text="In das folgende Feld (TextBox1) muss etwas eingegeben werden."></asp:Label><br />
        <asp:TextBox ID="TextBox1" runat="server"></asp:TextBox><asp:RequiredFieldValidator
            ID="RequiredFieldValidator1" runat="server" ErrorMessage="TextBox1 muss ausgefüllt werden." ControlToValidate="TextBox1" SetFocusOnError="True" ToolTip="2">*</asp:RequiredFieldValidator><br />
        <asp:Label ID="Label2" runat="server" Text="In das folgende Feld (TextBox2) muss ein Datum eingegeben werden, das vor dem heutigen Tag liegt."></asp:Label><br />
        <asp:TextBox ID="TextBox2" runat="server"></asp:TextBox>
        <asp:CompareValidator ID="CompareValidator1" runat="server" ControlToValidate="TextBox2"
            ErrorMessage="In TextBox2 muss ein Datum eingetragen werden, das vor dem heutigen Datum liegt." Operator="LessThan"
            SetFocusOnError="True" Type="Date">*</asp:CompareValidator><br />
        <asp:Label ID="Label3" runat="server" Text="In das folgende Feld (TextBox3) muss eine deutsche Postleitzahl eingegeben werden."></asp:Label><br />
        <asp:TextBox ID="TextBox3" runat="server"></asp:TextBox>
        <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="TextBox3"
            ErrorMessage="In TextBox3 muss eine deutsche Postleitzahl eingetragen werden" SetFocusOnError="True" ValidationExpression="(D-)?\d{5}">*</asp:RegularExpressionValidator><br />
        <asp:Label ID="Label4" runat="server" Text="In das folgende Feld (TextBox4) muss eine Ganzzahl zwischen 1 und 10 eingetragen werden."></asp:Label><br />
        <asp:TextBox ID="TextBox4" runat="server"></asp:TextBox>
        <asp:RangeValidator ID="RangeValidator1" runat="server" ControlToValidate="TextBox4"
            ErrorMessage="In TextBox4 muss eine Ganzzahl zwischen 1 und 10 eingetragen werden." MaximumValue="10"
            MinimumValue="1" SetFocusOnError="True">*</asp:RangeValidator><br />
        In die folgenden Felder (TextBox5 und TextBox6) müssen ein früheres und ein späteres
        Datum eingetragen werden.<br />
        <asp:TextBox ID="TextBox5" runat="server"></asp:TextBox>
        <asp:Label ID="Label5" runat="server" Text="bis"></asp:Label>
        <asp:TextBox ID="TextBox6" runat="server"></asp:TextBox>
        <asp:CompareValidator ID="CompareValidator2" runat="server" ControlToCompare="TextBox6"
            ControlToValidate="TextBox5" ErrorMessage="In TextBox5 muss ein früheres Datum als in TextBox6 eingetragen werden."
            Operator="GreaterThan" Type="Date">*</asp:CompareValidator><br />
        Im folgenden Feld (DropDownList1) muss ein anderer Wert als der Vorgabewert ausgewählt
        werden.<br />
        <asp:DropDownList ID="DropDownList1" runat="server" ValidationGroup="DDL">
            <asp:ListItem>--Bitte ausw&#228;hlen--</asp:ListItem>
            <asp:ListItem>Rot</asp:ListItem>
            <asp:ListItem>Gr&#252;n</asp:ListItem>
            <asp:ListItem>Blau</asp:ListItem>
        </asp:DropDownList>
        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="DropDownList1"
            ErrorMessage="In DropDownList1 muss ein Wert ausgewählt werden" InitialValue="--Bitte auswählen--"
            SetFocusOnError="True" ValidationGroup="DDL">*</asp:RequiredFieldValidator><br />
        <asp:Button ID="Button1" runat="server" OnClick="Button1_Click" Text="Absenden" />
        <asp:Button ID="Button2" runat="server" CausesValidation="False" Text="Abbrechen - Keine Validierung!" />
        <asp:Button ID="Button3" runat="server" Text="Nur DropDownList1 validieren" ValidationGroup="DDL" /><br />
        <asp:ValidationSummary ID="ValidationSummary1" runat="server" ShowMessageBox="True" />
        <asp:ValidationSummary ID="ValidationSummary2" runat="server" ShowMessageBox="True"
            ValidationGroup="DDL" />
    </div>
    </form>
</body>
</html>
