using System;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class DisplayBlogEntry : System.Web.UI.Page
{
	public int BlogEntryID
	{
		get
		{
			return ViewState["BlogEntryID"] == null ? 0 : 
				(int)ViewState["BlogEntryID"];
		}
		set
		{
			ViewState["BlogEntryID"] = value;
		}
	}
    protected void Page_Load(object sender, EventArgs e)
    {
		// This is code that will go away when we convert 
		//		to a user control...
		if (this.IsPostBack == false)
		{
			int _BlogEntryID;
			int.TryParse(Request["BlogEntryID"],
				out _BlogEntryID);
			BlogEntryID = _BlogEntryID;
		}
		// This code will be used in the final user control...
		if (this.IsPostBack == false)
		{
			SqlDataReader dr = this.SelectBlogEntryDR(BlogEntryID);
			try
			{
				if (dr.Read())
				{
					string Weather = string.Empty;
					Weather = dr["WeatherCondition"].ToString() + ", Wind " +
						dr["WindStrength"].ToString();
					if (dr["WindStrength"].ToString().IndexOf("Still") < 0)
					{
						Weather += " Out of the " +
							dr["WindDirection"].ToString();
					}
					this.lblWhen.Text = 
						((DateTime)dr["DateEntered"]).ToString();
					this.lblSubject.Text = 
						dr["Subject"].ToString();
					this.lblMessage.Text = 
						dr["Message"].ToString();
					this.lblWeather.Text = Weather;
				}
			}
			finally
			{
				dr.Close();
			}
		}
    }
	private SqlDataReader SelectBlogEntryDR(int BlogEntryID)
	{
		string spName = "spSelectBlogEntryAndWeather";
		SqlDataReader dr = null;
		SqlConnection cn = new SqlConnection(
			ConfigurationManager.ConnectionStrings[
			"BikeBlogConnectionString"].ConnectionString);
		cn.Open();
		try
		{
			SqlCommand cmd = new SqlCommand(spName, cn);
			cmd.CommandType = CommandType.StoredProcedure;

			cmd.Parameters.AddWithValue("@BlogEntryID", BlogEntryID);
			dr = cmd.ExecuteReader(CommandBehavior.CloseConnection);
		}
		catch
		{
			// Close the connection in case of error...
			cn.Close();
		}
		return dr;
	}


}
