using System;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class DisplayBlogEntryUCasWP : 
	System.Web.UI.UserControl,IWebPart
{
	public int BlogEntryID
	{
		get
		{
			return ViewState["BlogEntryID"] == null ? 0 :
				(int)ViewState["BlogEntryID"];
		}
		set
		{
			ViewState["BlogEntryID"] = value;
			SetData();
		}
	}
	public DisplayBlogEntryUCasWP()
	{
		catalogIconImageUrl=string.Empty;
		description = string.Empty;
		subTitle = string.Empty;
		title = "Bike Blog";
		titleIconImageUrl = string.Empty;
		titleUrl = string.Empty;
	}
	protected void Page_Load(object sender, EventArgs e)
	{
		// In the real world, I might actually
		//	just get the newest entry...
		this.BlogEntryID = 7;
	}

	private void SetData()
	{
		SqlDataReader dr = this.SelectBlogEntryDR(BlogEntryID);
		try
		{
			if (dr.Read())
			{
				string Weather = string.Empty;
				Weather = dr["WeatherCondition"].ToString() + ", Wind " +
					dr["WindStrength"].ToString();
				if (dr["WindStrength"].ToString().IndexOf("Still") < 0)
				{
					Weather += " Out of the " +
						dr["WindDirection"].ToString();
				}
				this.lblWhen.Text =
					((DateTime)dr["DateEntered"]).ToString();
				this.lblSubject.Text =
					dr["Subject"].ToString();
				this.lblMessage.Text =
					dr["Message"].ToString();
				this.lblWeather.Text = Weather;
			}
		}
		finally
		{
			dr.Close();
		}
	}

	private SqlDataReader SelectBlogEntryDR(int BlogEntryID)
	{
		string spName = "spSelectBlogEntryAndWeather";
		SqlDataReader dr = null;
		SqlConnection cn = new SqlConnection(
			ConfigurationManager.ConnectionStrings[
			"BikeBlogConnectionString"].ConnectionString);
		cn.Open();
		try
		{
			SqlCommand cmd = new SqlCommand(spName, cn);
			cmd.CommandType = CommandType.StoredProcedure;

			cmd.Parameters.AddWithValue("@BlogEntryID", BlogEntryID);
			dr = cmd.ExecuteReader(CommandBehavior.CloseConnection);
		}
		catch
		{
			// Close the connection in case of error...
			cn.Close();
		}
		return dr;
	}

	#region IWebPart Members

	private string catalogIconImageUrl;
	private string description;
	private string subTitle;
	private string title;
	private string titleIconImageUrl;
	private string titleUrl;


	public string CatalogIconImageUrl
	{
		get
		{
			return catalogIconImageUrl;
		}
		set
		{
			catalogIconImageUrl=value;
		}
	}

	public string Description
	{
		get
		{
			return description;
		}
		set
		{
			description=value;
		}
	}

	public string Subtitle
	{
		get { return subTitle; }
	}

	public string Title
	{
		get
		{
			return title;
		}
		set
		{
			title=value;
		}
	}

	public string TitleIconImageUrl
	{
		get
		{
			return titleIconImageUrl;
		}
		set
		{
			titleIconImageUrl = value;
		}
	}

	public string TitleUrl
	{
		get
		{
			return titleUrl;
		}
		set
		{
			titleUrl=value;
		}
	}

	#endregion
}
