using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace CustomControlsLib
{
	[DefaultProperty("Text")]
	[ToolboxData("<{0}:TextBoxFixPercent runat=server></{0}:TextBoxFixPercent>")]
	public class TextBoxFixPercent : System.Web.UI.WebControls.TextBox
	{
		public TextBoxFixPercent()
		{
		}

		protected override void Render(HtmlTextWriter output)
		{
			base.Render(output);
		}
		protected override void OnPreRender(EventArgs e)
		{
            StringBuilder script = new StringBuilder();
            script.Append(" <script language='Javascript'> ");
            script.Append("   function AdjustPercentages(sourceTextBox) ");
			script.Append("   {     ");
			script.Append("    var inputtedNumber = sourceTextBox.value; ");
			script.Append("    if (!isNaN( parseFloat(inputtedNumber))) ");
			script.Append("    { ");
			script.Append("     inputtedNumber = Number(inputtedNumber);   ");
			script.Append("     if (inputtedNumber < 1 && inputtedNumber != 0 && inputtedNumber > -1) ");
			script.Append("     { ");
			script.Append("      inputtedNumber = inputtedNumber * 100; ");
			script.Append("      inputtedNumber = inputtedNumber.toFixed(2);     ");
			script.Append("     } ");
			script.Append("     else ");
			script.Append("     { ");
			script.Append("      inputtedNumber = inputtedNumber.toFixed(2);    ");
			script.Append("     } ");
			script.Append("     sourceTextBox.value = inputtedNumber; ");
			script.Append("    }     ");
			script.Append("   }  </script> ");
			Page.ClientScript.RegisterClientScriptBlock(typeof(Page), 
                "FixPercent", script.ToString());
			string func=string.Format("AdjustPercentages({0})",this.ClientID);
			this.Attributes.Add("OnBlur", func);
		}
	}
}
